Activity Codes

This endpoint allows you to retrieve activity code lists used in the API.

GET /us/Company/CodeListsActivityCodes

Returns a dictionary of activity code lists that can be used to interpret activity code values returned by other endpoints and to populate dropdown selectors in user interfaces.

Response Codes

200 OK 401 Unauthorized 429 Too Many Requests
Try in Swagger UI →

Parameters

This endpoint does not require any parameters.

Example Request

GET /us/Company/CodeListsActivityCodes
Ocp-Apim-Subscription-Key: your-api-key

Example Response

{
  "Success": true,
  "Error": null,
  "Result": {
    "SICCode": [
      {
        "Code": "0111",
        "Value": "Wheat farm",
        "Parameters": {
          "IndustryCode": "A"
        }
      },
      {
        "Code": "0112",
        "Value": "Rice farm",
        "Parameters": {
          "IndustryCode": "A"
        }
      }
    ],
    "NACECode": [
      {
        "Code": "0100",
        "Value": "Crop and animal production, hunting and related service activities",
        "Parameters": {
          "IndustryCode": "A"
        }
      },
      {
        "Code": "0110",
        "Value": "Growing of non-perennial crops",
        "Parameters": {
          "IndustryCode": "A"
        }
      }
    ],
    "LocalActivityCode": [
      {
        "Code": "111000",
        "Value": "Crop Production",
        "Parameters": {
          "LocalActivityCodeType": "112",
          "IndustryCode": "A"
        }
      },
      {
        "Code": "111100",
        "Value": "Oilseed and Grain Farming",
        "Parameters": {
          "LocalActivityCodeType": "112",
          "IndustryCode": "A"
        }
      }
    ]
  }
}

Available Activity Code Lists

Code List Description
SICCode Standard Industrial Classification codes - US industry classification system
NACECode NACE (Nomenclature of Economic Activities) - European industry classification system
LocalActivityCode Local/regional activity classification codes

Code Entry Structure

Each activity code entry contains:

Industry Codes

The IndustryCode parameter maps to industry divisions:

Code Industry
AAgriculture, Forestry, Fishing
BMining
CConstruction
DManufacturing
ETransportation, Communications, Electric, Gas, Sanitary Services
FWholesale Trade
GRetail Trade
HFinance, Insurance, Real Estate
IServices
JPublic Administration

Tip

Cache the activity code lists in your application as they are extensive and change infrequently. This will improve your application's performance.

Related Endpoint

For non-activity related code lists (CompanyType, LocationType, etc.), use the Code Lists endpoint.